zabbix_export:
  version: '5.2'
  date: '2021-03-31T13:04:44Z'
  groups:
    -
      name: 'Discovered hosts'
  hosts:
    -
      host: 'Not another host'
      name: 'Not another host'
      status: DISABLED
      groups:
        -
          name: 'Discovered hosts'
      interfaces:
        -
          interface_ref: if1
      items:
        -
          name: Trapper1
          type: TRAP
          key: trap
          delay: '0'
        -
          name: Trapper2
          type: TRAP
          key: trap2
          delay: '0'
          triggers:
            -
              expression: '{last()}>9'
              recovery_mode: RECOVERY_EXPRESSION
              recovery_expression: '{last()}<=9'
              name: 'Dependent trigger'
              priority: WARNING
              dependencies:
                -
                  name: 'Trigger with And & Or'
                  expression: '{Not another host:trap.last()}>5 and {Not another host:trap2.last()}>5 or {Not another host:trap.last()}>50'
                  recovery_expression: '{Not another host:trap.last()}<=5 and {Not another host:trap2.last()}<=5 or {Not another host:trap.last()}<=50'
      macros:
        -
          macro: '{$VALUE}'
          value: '5'
        -
          macro: '{$VALUE2}'
          type: SECRET_TEXT
      inventory_mode: DISABLED
  triggers:
    -
      expression: '{Not another host:trap.last()}>5 and {Not another host:trap2.last()}>5 or {Not another host:trap.last()}>50'
      recovery_mode: RECOVERY_EXPRESSION
      recovery_expression: '{Not another host:trap.last()}<=5 and {Not another host:trap2.last()}<=5 or {Not another host:trap.last()}<=50'
      name: 'Trigger with And & Or'
      priority: WARNING
